## telepathy-glib 0.6.0-0osso1

=== debian/changelog ===
telepathy-glib (0.6.0-0osso1) unstable; urgency=low

  * bump version to 0.6.0, libtool c:r:a = 3:1:3
  * Sync with spec 0.16.0
  * run.c: unref mainloop after it finishes running
  * Do restore the backwards-compatible behavior of the 'persist' debug flag
  * Don't remove the 'persist' debug flag yet
  * Introduced the persistent mode API orthogonal to the debug flags
  * Fix detection of comments when deciding whether a bad_coding_style() report is a false positive
  * Use [:alpha:], [:lower:], [:upper:] instead of relying on ordering of A-Z, a-z in collation order
  * Remove tools/genginterface.pyc in make clean
  * Re-order tools/Makefile.am alphabetically
  * Correct misleading comment in telepathy-glib/Makefile.am
  * Don't make generated GInterfaces unnecessarily large (fd.o #11916).
    This doesn't cause an ABI change, since the generated GInterface's layout
    is private to the .c file anyway.
  * say the GArray is newly-allocated in tp_group_mixin_get_*_members
  * say the GArray is newly-allocated in tp_handle_set_to_array documentation
  * Annotate new 0.5.13 and 0.5.14 features with "Since:"

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 28 Sep 2007 11:54:32 +0300

telepathy-glib (0.5.14-0osso1) unstable; urgency=low

  * New upstream version.
   - Supports spec 0.15.5.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Wed, 05 Sep 2007 12:29:02 +0100

telepathy-glib (0.5.13-0osso2) unstable; urgency=low

  * Fix memory leak in ListProperties implementation.
  * Don't reset state when SetProperties recurses. Fixes: NB#60255.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Wed, 11 Jul 2007 17:15:04 +0100

telepathy-glib (0.5.13-0osso1) unstable; urgency=low

  * Update to spec 0.15.4, including:
     - improved signal-based avatar API
     - group change reason for permission denied
     - group method for RemoveWithReason
     - group flag to indicate when handle owners are unavailable
     - new handle-name in GotRooms signal
  * Add presence mixin.
  * Update group mixin for new functionality.

 -- Robert McQueen <robot101@debian.org>  Fri,  1 Jun 2007 19:22:49 +0300

telepathy-glib (0.5.10-0osso1) unstable; urgency=low

  * Initial release, separated from telepathy-gabble upstream.

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 20 Apr 2007 16:42:59 +0100
