=== debian/control ===
Source: telepathy-glib
Section: libs
Priority: optional
Maintainer: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
Uploaders: Dafydd Harries <daf@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs, debhelper (>= 4), libglib2.0-dev (>= 2.4), libdbus-glib-1-dev (>= 0.72), xsltproc, python, gtk-doc-tools
Standards-Version: 3.7.2

Package: libtelepathy-glib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy framework - GLib connection manager library
 This package contains telepathy-glib, a GLib-based library for Telepathy
 components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
 .
 Homepage: http://telepathy.freedesktop.org/wiki/

Package: libtelepathy-glib-dev
Architecture: any
Section: libdevel
Depends: libtelepathy-glib0 (= ${Source-Version}), libglib2.0-dev (>= 2.4), libdbus-glib-1-dev (>= 0.72)
Suggests: libtelepathy-glib-doc, libtelepathy-glib-unstable-dev
Conflicts: libtelepathy-glib-static-dev
Replaces: libtelepathy-glib-static-dev
Description: GLib Telepathy connection manager library (headers)
 This package contains development files for telepathy-glib, a GLib-based
 library for Telepathy connection managers.
 .
 telepathy-glib cannot yet be used to write Telepathy clients - use
 libtelepathy for that.
 .
 Some interfaces are not yet considered API- and ABI-stable. To
 use those interfaces in your connection manager, you'll also need
 the static library telepathy-glib-unstable, found in the Debian package
 libtelepathy-glib-unstable-dev.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
 .
 Homepage: http://telepathy.freedesktop.org/wiki/

Package: libtelepathy-glib0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libtelepathy-glib0 (= ${Source-Version})
Description: GLib Telepathy connection manager library (debug symbols)
 This package contains support for debugging programs that use telepathy-glib,
 a GLib-based library for Telepathy connection managers.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
 .
 Homepage: http://telepathy.freedesktop.org/wiki/

Package: libtelepathy-glib-unstable-dev
Architecture: any
Section: libdevel
Depends: libtelepathy-glib-dev (= ${Source-Version})
Suggests: libtelepathy-glib-doc
Description: GLib Telepathy connection manager library (unstable interfaces)
 This package contains development files, including a static library, for
 interfaces not yet considered sufficiently API- and ABI-stable to go in
 the libtelepathy-glib shared library.
 .
 This currently means the ContactInfo, Forwarding, Privacy and Renaming
 connection interfaces; the ContactSearch channel type; and the Hold and
 Transfer channel interfaces. As these interfaces become stable, they may
 be moved into the shared library.
 .
 Due to the unstable nature of this library, Debian packages which
 Build-Depend on this library should only be uploaded to experimental.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
 .
 Homepage: http://telepathy.freedesktop.org/wiki/
