## telepathy-glib 0.7.0-0osso2

=== debian/changelog ===
telepathy-glib (0.7.0-0osso2) unstable; urgency=low

  * Added missing files to the package.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 07 Dec 2007 12:49:03 +0100

telepathy-glib (0.7.0-0osso1) unstable; urgency=low

  * Mark various macros in properties-mixin.h as deprecated in 0.7.0 instead of the nonexistent 0.5.15
  * Fix breakage in the presence mixin where a hash table wasn't copied
  * Bump version to 0.7.0 and libtool to 4:0:4
  * extra-gtkdoc.h: also document defs.h as Since: 0.7.0
  * Include defs.xml in docs
  * Add defs.h gtkdoc
  * tp_g_hash_table_update: document as new in 0.7.0
  * TP_UNKNOWN_HANDLE_TYPE: document as new in 0.7.0
  * gtypes.c: document that the whole file is new in 0.7.0
  * Document that e.g. TP_IFACE_QUARK_PROPERTIES_INTERFACE is new in 0.7.0
  * Annotate Will's TpBaseConnectionManager changes with "Since: 0.7.0"
  * telepathy-glib-docs.sgml: svc-properties-interface -> svc-generic
  * Update to spec 0.17.0 - add Busy to presence types enum, and bump version
  * Revert addition of conditional build for inspector/ too
  * Remove inspector directory - on further consideration, it's too big a project to just merge in to telepathy-glib like that
  * Bump libdbus dependency to 0.95 so we can stop defining DBUS_API_SUBJECT_TO_CHANGE
  * Add the beginnings of a Makefile for telepathy-inspector (currently if FALSE'd out).
  * Conditionally recurse into inspector/
  * Add with-session-bus.sh to dist
  * Remove DBUS_API_SUBJECT_TO_CHANGE from docs too
  * Don't use --xinclude when running xsltproc on files that have already been xinclude'd
  * Drop telepathy-glib-unstable.pc, move telepathy-glib.pc into telepathy-glib/ (partly because it's conceptually part of the library, and partly to make tab completion work better)
  * Bump GLib build-dependency to 2.10
  * Add defs.h to docs
  * Add defs.h containing e.g. TP_CM_BUS_NAME_BASE
  * Remove duplicate -I$(top_srcdir) -I$(top_builddir) from examples
  * Give subdirectories -I${top_builddir} -I${top_srcdir}
  * Recurse into examples before docs - the examples build quicker
  * Require dbus-glib 0.73 for _with_timeout variants of DBusGProxy method calling
  * Use builddir in TP_GLIB_LIBS substitution
  * _boring: ignore example executables in examples/client/
  * Add 'proxy' debug flag
  * Add 'manager' and 'channel' debug flags
  * Add examples/client/
  * Change no-protocols example CM to have an all-permissive license
  * Add tools/with-session-bus.sh
  * Add svc-generic.h to autofoo
  * Add TP_UNKNOWN_HANDLE_TYPE
  * Rename svc-properties-interface.h to svc-generic.h, with compatibility stub (if we get any more generic stuff like properties, it can go there too)
  * Refactor telepathy-glib build system taking advantage of new glib-ginterface-gen.py.
  * Add some XML files defining the interfaces supported by telepathy-glib - this seems a less fragile way to do it than parsing header files
  * Make various code-gen tools runnable on entire specifications, with arbitrary nesting/XIncludes
  * Sort out CFLAGS, LIBS in telepathy-glib/
  * Add missing files in spec/
  * Remove list of last activity and statuses, and list of status spec, from docs (they make no sense)
  * Add TP_HASH_TYPE_AVATAR_TOKEN_MAP, TP_HASH_TYPE_SUPPORTED_SOCKET_MAP to docs
  * Fix clean build in telepathy-glib/ - we no longer generate a signals-marshal.list per interface
  * Use the spec directory to generate GTypes
  * Revert the code in glib-ginterface-gen that generates references to GType-generating functions, to make the generated code more self-contained
  * glib-ginterface-gen: Don't allow interfaces that will cause havoc in our API unless --allow-unstable is passed
  * Use glib-ginterface-gen.py instead of genginterface.py to generate the TpSvc* interfaces
  * Replace genginterface.py with glib-ginterface-gen.py.
  * can use GType-generating functions to get GTypes
  * clearer code
  * generates code suitable for putting more than one interface in a file
  * Update spec/ to current telepathy-spec HEAD
  * Don't bother writing license information to generated files
  * Don't generate signals-marshal.list in genginterface
  * Generate signal marshallers needed by dbus-glib as a separate script
  * _boring: ignore example connection managers
  * stable-interfaces.mk: use $(mkdir_p)
  * configure.ac: use AM_PROG_MKDIR_P to set $(mkdir_p)
  * Add tp_g_hash_table_update to docs
  * examples/cm/no-protocols: fix type of construct_cm
  * Compile no-protocols example with appropriate -W flags
  * Add the simplest possible example connection manager, telepathy-example-no-protocols. It doesn't support any protocols, so it can't make any connections.
  * configure.ac: subst TP_GLIB_CFLAGS, TP_GLIB_LIBS for the benefit of the examples
  * Add examples directory
  * Add inspector/ subdirectory
  * Fix tp_escape_as_identifier unit test for new expected behaviour
  * Move camelcase_to_lower, camelcase_to_upper to libglibcodegen
  * Move more code to libglibcodegen.py
  * Clean up libglibcodegen.py[co] during clean
  * Make sure things built by tools that use libglibcodegen are rebuilt when that file changes
  * Add tools/libglibcodegen.py and start to move stuff into it
  * tp_escape_as_identifier(): escape "" as "_", just for completeness
  * tp_g_hash_table_update: allow key_dup, value_dup to be NULL, which is equivalent to using this function: gpointer null_dup (gpointer p) { return p; }
  * Add tp_g_hash_table_update [re-recorded]
  * genginterface.py: support signature 'ao'
  * Make glib-client-marshaller-gen.py take the prefix as a command-line argument
  * Only emit array GType-generator implementations if a type with appropriate signature has declared an array-name for it
  * Remove -TP_ARRAY_TYPE_SOCKET_ADDRESS_IPV4_LIST etc. from docs, they're no longer generated
  * Only generate ARRAY GTypes if an array-name is explicitly given
  * Add TP_STRUCT_TYPE_SOCKET_ADDRESS_IPV4 etc. to docs

