=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Architecture: any
 Section: libdevel
 Depends: libtelepathy-glib0 (= ${Source-Version}), libglib2.0-dev (>= 2.4), libdbus-glib-1-dev (>= 0.72)
-Suggests: libtelepathy-glib-doc, libtelepathy-glib-unstable-dev
+Suggests: libtelepathy-glib-doc
 Conflicts: libtelepathy-glib-static-dev
 Replaces: libtelepathy-glib-static-dev
 Description: GLib Telepathy connection manager library (headers)
@@ -35,11 +35,6 @@
  .
  telepathy-glib cannot yet be used to write Telepathy clients - use
  libtelepathy for that.
- .
- Some interfaces are not yet considered API- and ABI-stable. To
- use those interfaces in your connection manager, you'll also need
- the static library telepathy-glib-unstable, found in the Debian package
- libtelepathy-glib-unstable-dev.
  .
  Telepathy is a D-Bus framework for unifying real time communication,
  including instant messaging, voice calls and video calls. It abstracts
@@ -64,23 +59,13 @@
  .
  Homepage: http://telepathy.freedesktop.org/wiki/
 
-Package: libtelepathy-glib-unstable-dev
-Architecture: any
-Section: libdevel
-Depends: libtelepathy-glib-dev (= ${Source-Version})
-Suggests: libtelepathy-glib-doc
-Description: GLib Telepathy connection manager library (unstable interfaces)
- This package contains development files, including a static library, for
- interfaces not yet considered sufficiently API- and ABI-stable to go in
- the libtelepathy-glib shared library.
- .
- This currently means the ContactInfo, Forwarding, Privacy and Renaming
- connection interfaces; the ContactSearch channel type; and the Hold and
- Transfer channel interfaces. As these interfaces become stable, they may
- be moved into the shared library.
- .
- Due to the unstable nature of this library, Debian packages which
- Build-Depend on this library should only be uploaded to experimental.
+Package: libtelepathy-glib-doc
+Architecture: all
+Section: doc
+Priority: extra
+Description: GLib Telepathy connection manager library. API reference
+ This package contains API documentation for telepathy-glib,
+ a GLib-based library for Telepathy connection managers.
  .
  Telepathy is a D-Bus framework for unifying real time communication,
  including instant messaging, voice calls and video calls. It abstracts
