=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,16 @@
 
 DEB_DH_STRIP_ARGS := --dbg-package=libtelepathy-glib0
 
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr
-#	--enable-gtk-doc \
-#	--with-html-dir=\$${prefix}/share/doc/libtelepathy-glib-doc
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr \
+	--enable-gtk-doc \
+	--with-html-dir=\$${prefix}/share/doc/libtelepathy-glib-doc
 
 # we symlink many of the doc directories together
 DEB_INSTALL_DOCS_libtelepathy-glib0-dbg := --no-act
 DEB_INSTALL_CHANGELOGS_libtelepathy-glib0-dbg := --no-act
 DEB_INSTALL_DOCS_libtelepathy-glib-dev := --no-act
 DEB_INSTALL_CHANGELOGS_libtelepathy-glib-dev := --no-act
-DEB_INSTALL_DOCS_libtelepathy-glib-unstable-dev := --no-act
-DEB_INSTALL_CHANGELOGS_libtelepathy-glib-unstable-dev := --no-act
+DEB_INSTALL_DOCS_libtelepathy-glib-doc :=  $(CURDIR)/debian/tmp/usr/share/doc/libtelepathy-glib-doc/telepathy-glib
 
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
