## telepathy-glib 0.7.35-0maemo1+0m5

=== debian/changelog ===
telepathy-glib (0.7.35-0maemo1+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Thu, 20 Aug 2009 10:43:21 +0300

telepathy-glib (0.7.35-0maemo1) fremantle; urgency=low

  * New upstream release
  * Fixes: NB#132878 - TpDBusDaemon receives D-Bus signal NameOwnerChanged
    too broadly

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Tue, 18 Aug 2009 19:14:16 +0100

telepathy-glib (0.7.34-1maemo1) fremantle; urgency=low

  * New upstream release
  * Fixes: NB#133233 - TpChannel introspection is buggy, leading to extra
    roundtrips
  * Addresses NB#124762 - fd.o#22926: Provide an error code for an empty codec
    intersection
  * Sync packaging with Debian

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Mon, 17 Aug 2009 11:40:13 +0100

telepathy-glib (0.7.33-1maemo1) fremantle; urgency=low

  * New upstream bugfix release, fixing an assertion failure tripped by the
    Mission Control 5.1.2 regression tests.
  * Sync packaging with Debian.

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 26 Jun 2009 19:06:19 +0100

telepathy-glib (0.7.32-1maemo1) fremantle; urgency=low

  * New upstream release.
  * fd.o #22208: Updated to telepathy-spec 0.17.26
  * Added generated service-side bindings for AccountManager, Account,
    ChannelDispatcher, ChannelDispatchOperation, ChannelRequest and
    Client
  * Added minimal versions of TpAccountManager, TpAccount,
    TpChannelDispatcher, TpChannelDispatchOperation, TpChannelRequest
    and TpClient
  * fd.o #22205: Added support for deprecating or removing _run_ methods
    in code generation
  * Added flymake support
  * fd.o #22230: Added support for byte ('y') parameters to CMs
  * Made sure _gen/error-str.h and .c end with a newline, fixing
    compilation with certain compilers
  * fd.o #19741: Documented client-side handle reference counting
  * fd.o #21977: Removed duplicate mention of media-interfaces.h in
    Makefile.am
  * fd.o #22121: made tp_channel_dispose properly idempotent
  * Removed dead code for introspecting alias flags
  * fd.o #22182: Fixed a potential use-after-free in the callable
    example CM
  * After updating to this version of glib-client-gen.py, _run_ methods
    will no longer be generated by default. To get the behaviour of
    older versions, run it with the new --generate-reentrant option; to
    get the methods present but deprecated, use an option like
    --deprecate-reentrant=FOO_DISABLE_DEPRECATED (which means the _run_
    methods are marked with G_GNUC_DEPRECATED, and will not be available
    at all if FOO_DISABLE_DEPRECATED is defined).
  * Sync packaging with Debian.

 -- Will Thompson <will.thompson@collabora.co.uk>  Mon, 15 Jun 2009 20:12:47 +0100

telepathy-glib (0.7.31-1maemo2) fremantle; urgency=low

  * debian/patches/end-with-a-newline.patch: Cherry-pick my patch from upstream
    to make sure _gen/error-str.h ends with a newline; otherwise, it triggers
    errors in things like MC that use -Werror. Fixes compilation of MC upstream
    git in Maemo.

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 29 May 2009 16:34:19 +0100

telepathy-glib (0.7.31-1maemo1) fremantle; urgency=low

  * New upstream release.
  * Added TP_ERROR_STR_NOT_AVAILABLE etc., string constants corresponding to
    the members of the TpError enum, and tp_error_get_dbus_name()
  * Updated to telepathy-spec 0.17.25
  * Made tp_g_key_file_get_int64 and _uint64 into public API for Mission
    Control's benefit
  * Changed the dbus_daemon member of TpProxy to be removed in dispose, rather
    than just after the invalidated signal
  * Fixed a null pointer dereference if a TpConnectionManager is resurrected
    during dispose
  * Fixed a use-after-free when the user-supplied object in
    tp_connection_manager_call_when_ready is destroyed after the CM becomes
    ready (typical symptom: the assertion "c->weak_object == corpse" fails)
  * Fixed tp_dbus_daemon_request_name, tp_dbus_daemon_release_name and
    _tp_dbus_daemon_get_name_owner to fail gracefully if the TpDBusDaemon has
    been invalidated
  * Sync packaging with Debian

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Wed, 27 May 2009 18:48:43 +0100

telepathy-glib (0.7.30-1maemo1) fremantle; urgency=low

  * New upstream release.
  * tp_proxy_add_interface_by_id() may not be called on an invalidated
    proxy.  (It never made sense to do this, but now telepathy-glib will
    complain if you do.)
  * Added tp_dbus_daemon_request_name() and
    tp_dbus_daemon_release_name(). (Fixes fd.o#21771.)
  * Update to telepathy-spec 0.17.23, adding the Terminated error.
  * Added optional support for Shave, to give kernel-style pretty make
    output.  (This is disabled by default; to enable it, pass
    --enable-shave to configure.) (Jonny Lamb)
  * Channel introspection will now fail more quickly when the channel is
    invalidated. Hopefully Fixes: NB#106680
  * Generated GInterfaces now install type information sooner, fixing a
    bug where object construction could make dbus-glib assert. (Ross
    Burton)
  * fd.o#21792:
    tp_presence_mixin_simple_presence_fill_contact_attributes asserts if
    get_contact_statuses returns NULL.

 -- Will Thompson <will.thompson@collabora.co.uk>  Mon, 18 May 2009 17:08:11 +0100

telepathy-glib (0.7.29-1maemo2) fremantle; urgency=low

  * Backport 8e42c802215f5f42e7eaea19b36ee37912eb7b51 from master:
    - Don't hold handles if GetContactAttributes fails.
      Calling _tp_connection_ref_handles on an invalidated connection
      (which self will be here if error is non-NULL) asserts.
    - Fixes: NB#108106 - "Rare e-addressbook-factory crash due to
      connectivity problems"

 -- Will Thompson <will.thompson@collabora.co.uk>  Wed, 08 Apr 2009 19:38:15 +0100

telepathy-glib (0.7.29-1maemo1) fremantle; urgency=low

  * New upstream releases:

