## telepathy-glib 0.8.1-0maemo1+0m5

=== debian/changelog ===
telepathy-glib (0.8.1-0maemo1+0m5) devel; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Mon, 02 Nov 2009 09:59:28 +0200

telepathy-glib (0.8.1-0maemo1) devel; urgency=low

  * New upstream stable-branch release
  * Fixes: NB#135112: fd.o #23853: tp-glib asserts in TpConnectionManager if I
    remove haze.manager

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 16 Oct 2009 12:08:02 +0100

telepathy-glib (0.7.37-0maemo2) devel; urgency=low

  * NB#135112 got reopened, remove from changelog 

 -- Reto Zingg <reto.zingg@nokia.com>  Wed, 14 Oct 2009 12:31:47 +0300

telepathy-glib (0.7.37-0maemo1) devel; urgency=low

  * New upstream release
  * Supports telepathy-spec 0.17.28 with InitialAudio, InitialVideo,
    ImmutableStreams, ContactCapabilities and
    TP_CHANNEL_CALL_STATE_FLAG_IN_PROGRESS

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Tue, 15 Sep 2009 13:53:57 +0100

telepathy-glib (0.7.36-0maemo1) devel; urgency=low

  * New upstream release
  * Fixes: NB#130934 - Gabble crashes if you give it ridiculously long JIDs
  * addresses: NB#135112 - tp-glib asserts in TpConnectionManager if I remove
    haze.manager

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Thu, 03 Sep 2009 20:31:29 +0100
