=== debian/control ===
Source: telepathy-glib
Section: libs
Priority: optional
Maintainer: Simon McVittie <simon.mcvittie@collabora.co.uk>
XS-Debian-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
XS-Debian-Uploaders: Dafydd Harries <daf@debian.org>,
                     Simon McVittie <smcv@debian.org>,
                     Sjoerd Simons <sjoerd@debian.org>,
                     Laurent Bigonville <bigon@debian.org>,
                     Jonny Lamb <jonny@debian.org>
Build-Depends: cdbs,
               dbus,
               debhelper (>= 5),
               libglib2.0-dev (>= 2.16),
               libdbus-glib-1-dev (>= 0.73),
               libdbus-1-dev (>= 0.95),
               xsltproc,
               python2.5,
               python2.5-xml,
               gtk-doc-tools (>= 1.10),
               pkg-config (>= 0.21),
               autoconf,
               automake1.9,
               libtool
Standards-Version: 3.8.3
XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-glib.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-glib.git
Homepage: http://telepathy.freedesktop.org/wiki/

Package: libtelepathy-glib0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy framework - GLib library
 This package contains telepathy-glib, a GLib-based library for Telepathy
 components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-glib-dev
Architecture: any
Section: libdevel
Depends: libtelepathy-glib0 (= ${binary:Version}), libglib2.0-dev (>= 2.10), libdbus-1-dev (>= 0.95), libdbus-glib-1-dev (>= 0.73), pkg-config (>= 0.21), ${misc:Depends}
Suggests: libtelepathy-glib-doc
Description: GLib Telepathy connection manager library (headers)
 This package contains development files for telepathy-glib, a GLib-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-glib0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtelepathy-glib0 (= ${binary:Version}), ${misc:Depends}
Description: GLib Telepathy library (debug symbols)
 This package contains support for debugging programs that use telepathy-glib,
 a GLib-based library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: GLib Telepathy library (documentation)
 This package contains HTML documentation for telepathy-glib, a GLib-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
