## telepathy-glib 0.8.1-0maemo2+0m5

=== debian/changelog ===
telepathy-glib (0.8.1-0maemo2+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.8.1-0maemo2+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Wed, 16 Jun 2010 14:30:57 +0300

telepathy-glib (0.8.1-0maemo2) fremantle; urgency=low

  * Disable cast checks on non-debug builds. References NB#162166

 -- Adam Conrad <adconrad@collabora.co.uk>  Wed, 09 Jun 2010 15:00:42 -0600
