## telepathy-glib 0.8.1-0maemo2+0m5+thumb0

=== debian/changelog ===
telepathy-glib (0.8.1-0maemo2+0m5+thumb0) fremantle; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 03 Nov 2013 19:17:12 +0200
