=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 Package: libtelepathy-glib0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Telepathy framework - GLib library
  This package contains telepathy-glib, a GLib-based library for Telepathy
  components.
