## telepathy-glib 0.12.0

=== debian/changelog ===
telepathy-glib (0.12.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Don't require gobject-introspection >= 0.9.6 for the vala bindings. 
    It's not needed, as our vala supports older versions
    - add debian/patches/01_dont_require_new_gir.patch
    - add debian/patches/series
    - update debian/rules
    - update debian/control
  * Update symbols file
    - update debian/libtelepathy-glib0.symbols

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Sep 2010 21:43:09 +0100

telepathy-glib (0.11.15-1ubuntu1) maverick; urgency=low

  * Rebase on Debian
  * debian/control:
    - updated the for the current vala versionning
  * debian/rules: build with -O0 on armel to workaround a build issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Sep 2010 22:17:30 +0200

telepathy-glib (0.11.15-1) experimental; urgency=low

  * New upstream version (new API, ABI)
  * Advance debhelper compat mode to 8
  * Use the 3.0 (quilt) source format
  * Stop using cdbs, use dh instead

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Sep 2010 14:54:55 +0100

telepathy-glib (0.11.14-2) experimental; urgency=low

  * Drop build-depend on the (now versioned) libvala-dev, it
    doesn't actually seem necessary to build the Vala bindings
  * Add myself to Uploaders, as I'm a member of pkg-telepathy

 -- Adam Conrad <adconrad@0c3.net>  Wed, 25 Aug 2010 15:34:30 -0600

telepathy-glib (0.11.14-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2010 16:53:29 +0100

telepathy-glib (0.11.13-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Aug 2010 12:22:44 +0100

telepathy-glib (0.11.12-1) experimental; urgency=low

  * New upstream version (new API, ABI)
  * Remove telepathy-glib.deps patch, it's finally in the tarball now
  * Install source code for more example CMs in libtelepathy-glib-doc

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Aug 2010 17:42:49 +0100

telepathy-glib (0.11.11-1+exp1) experimental; urgency=low

  * Merge from unstable: new upstream version
  * Adjust to the Vala bindings being improved upstream
  * Re-add telepathy-glib.deps as a patch, since it isn't in the tarball
  * Mention that the Vala bindings are experimental in the package description

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jul 2010 18:41:33 +0100

telepathy-glib (0.11.11-1) unstable; urgency=low

  * New upstream release (new API, ABI)
  * Standards-Version: 3.9.1 (no changes needed)
  * Update debhelper compat level to 7
  * Partial merge from experimental:
    - really get the documentation directories right if using dh_buildinfo

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jul 2010 17:54:02 +0100

telepathy-glib (0.11.10-1+exp1) experimental; urgency=low

  * Enable the experimental Vala bindings and install them in
    libtelepathy-glib-dev
  * Add telepathy-glib.deps (taken from upstream git) and install it alongside
    the Vala bindings, to have correct interdependencies
  * Really get the documentation directories right if using dh_buildinfo

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Jul 2010 11:52:25 +0100

telepathy-glib (0.11.10-1) unstable; urgency=low

  [ Jonny Lamb ]
  * debian/rules: Update shlib dependency version as new ABI was
    introduced in 0.11.9.

  [ Simon McVittie ]
  * New upstream version (no new API/ABI)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jul 2010 20:22:31 +0100

telepathy-glib (0.11.9-1) unstable; urgency=low

  * New upstream version (new API/ABI)
  * Remove temporary workaround for #586742
  * Standards-Version: 3.9.0 (no changes needed)
  * Adjust mechanism for symlinking together doc directories so it works if
    dh-buildinfo is installed

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jul 2010 18:12:00 +0100

telepathy-glib (0.11.8-1) unstable; urgency=low

  * New upstream version (no new API/ABI)
    - requires gobject-introspection 0.6.14
  * Remove duplicate 'Section: libs' from control
  * Work around #586742 in cdbs by specifying docs explicitly

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jun 2010 12:45:56 +0100

telepathy-glib (0.11.7-1) unstable; urgency=low

  * New upstream version
    - requires gobject-introspection 0.6.13
    - new ABI, API

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jun 2010 17:42:08 +0100

telepathy-glib (0.11.6-1) unstable; urgency=low

  * New upstream version
    - requires gtk-doc 1.15
    - requires gobject-introspection 0.6.11
    - new ABI, API
  * Merge from experimental
    - add gir1.0-telepathyglib-0.12 binary package

 -- Simon McVittie <smcv@debian.org>  Tue, 25 May 2010 16:57:39 +0100

telepathy-glib (0.11.5-1+exp1) experimental; urgency=low

  * Re-enable introspection (in experimental, for now)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 May 2010 18:11:36 +0100

telepathy-glib (0.11.5-1) unstable; urgency=low

  * New upstream version with new API/ABI

 -- Simon McVittie <smcv@debian.org>  Mon, 10 May 2010 17:59:54 +0100

telepathy-glib (0.11.4-1) unstable; urgency=low

  * New upstream version
    - new API/ABI
    - disable the new GObject-Introspection for the moment, I'll enable it in
      experimental first
    - increase GLib and gtk-doc dependencies
  * Update debian/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Apr 2010 18:57:45 +0100

telepathy-glib (0.11.3-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream version with new API/ABI

 -- Jonny Lamb <jonny@debian.org>  Mon, 26 Apr 2010 09:53:54 +0100

telepathy-glib (0.11.2-1) unstable; urgency=low

  * New upstream version, without premature deprecations this time
    - no new API/ABI

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Apr 2010 19:38:41 +0100

telepathy-glib (0.11.1-1) unstable; urgency=low

  * New upstream version with new API/ABI
    - disables strict gtk-doc coverage checking in release builds, fixing
      FTBFS with newer gtk-doc (closes: #576438)


