=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: telepathy-glib
 Section: libs
 Priority: optional
-Maintainer: Simon McVittie <simon.mcvittie@collabora.co.uk>
-XS-Debian-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
-XS-Debian-Uploaders: Dafydd Harries <daf@debian.org>,
-                     Simon McVittie <smcv@debian.org>,
-                     Sjoerd Simons <sjoerd@debian.org>,
-                     Laurent Bigonville <bigon@debian.org>,
-                     Jonny Lamb <jonny@debian.org>
-Build-Depends: cdbs,
-               dbus,
-               debhelper (>= 5),
-               libglib2.0-dev (>= 2.16),
-               libdbus-glib-1-dev (>= 0.73),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
+Uploaders: Dafydd Harries <daf@debian.org>,
+           Simon McVittie <smcv@debian.org>,
+           Sjoerd Simons <sjoerd@debian.org>,
+           Laurent Bigonville <bigon@debian.org>,
+           Jonny Lamb <jonny@debian.org>,
+           Adam Conrad <adconrad@0c3.net>
+Build-Depends: dbus,
+               debhelper (>= 8),
+               gir1.0-glib-2.0,
+               gobject-introspection (>= 0.6.14),
+               libgirepository1.0-dev (>= 0.6.14),
+               libglib2.0-dev (>= 2.24),
+               libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.95),
+               valac-0.10 (>= 0.9.3),
                xsltproc,
-               python2.5,
-               python2.5-xml,
-               gtk-doc-tools (>= 1.10),
+               python,
+               gtk-doc-tools (>= 1.15),
                pkg-config (>= 0.21),
-               autoconf,
-               automake1.9,
-               libtool
-Standards-Version: 3.8.3
-XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-glib.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-glib.git
+               dh-autoreconf
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-glib.git
+Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-glib.git
 Homepage: http://telepathy.freedesktop.org/wiki/
 
 Package: libtelepathy-glib0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: telepathy-gabble (<< 0.7.9), telepathy-sofiasip (<< 0.5.17)
 Description: Telepathy framework - GLib library
  This package contains telepathy-glib, a GLib-based library for Telepathy
  components.
@@ -47,6 +49,10 @@
 Description: GLib Telepathy connection manager library (headers)
  This package contains development files for telepathy-glib, a GLib-based
  library for Telepathy components.
+ .
+ Vala bindings are also included; the Vala bindings are currently considered
+ to be experimental by the maintainers of telepathy-glib, and might receive
+ incompatible changes until at least telepathy-glib 0.12.0.
  .
  Telepathy is a D-Bus framework for unifying real time communication,
  including instant messaging, voice calls and video calls. It abstracts
@@ -80,3 +86,19 @@
  including instant messaging, voice calls and video calls. It abstracts
  differences between protocols to provide a unified interface for
  applications.
+
+Package: gir1.0-telepathyglib-0.12
+Architecture: any
+Depends: ${gir:Depends}, ${misc:Depends}
+Description: GLib Telepathy connection manager library (GObject-Introspection)
+ This package contains introspection data for telepathy-glib, which can be used
+ to generate dynamic bindings for Telepathy components.
+ .
+ These GObject-Introspection bindings are considered to be experimental by the
+ maintainers of telepathy-glib, and might receive incompatible changes until
+ at least telepathy-glib 0.12.0.
+ .
+ Telepathy is a D-Bus framework for unifying real time communication,
+ including instant messaging, voice calls and video calls. It abstracts
+ differences between protocols to provide a unified interface for
+ applications.
